View Issue Details

IDProjectCategoryView StatusLast Update
0016970mantisbtlocalizationpublic2014-12-08 00:34
ReporterdregadAssigned Todregad 
PrioritynormalSeveritytextReproducibilityalways
Status closedResolutionfixed 
Product Version 
Target Version1.3.0-beta.1Fixed in Version1.3.0-beta.1 
Summary0016970: Hardcoded file size unit 'k'
Description

Move it to language files

Additional Information

Picking up from pull request submitted by user badfiles https://github.com/mantisbt/mantisbt/pull/139

TagsNo tags attached.

Relationships

related to 0016951 closeddregad String 'Due date was' is hardcoded into core files 

Activities

Related Changesets

MantisBT: master e1d4aa54

2014-02-13 18:06:56

badfiles


Committer: dregad Details Diff
Remove hardcoded file size unit 'k'

Fixes 0016970

Signed-off-by: Damien Regad <dregad@mantisbt.org>
mod - bug_file_upload_inc.php Diff File
mod - bug_report_page.php Diff File
mod - lang/strings_english.txt Diff File
mod - proj_doc_add_page.php Diff File
mod - proj_doc_edit_page.php Diff File

MantisBT: master cfb212ed

2014-02-14 09:37:05

dregad

Details Diff
New API functions to print maximum file size

- get_filesize_info() returns the file size in the desired unit
- print_max_filesize() prints the span tag with maximum file size in
desired unit, including tooltip in bytes

Updated language strings, refactored code to use the new functions

Issue 0016970
mod - bug_file_upload_inc.php Diff File
mod - bug_report_page.php Diff File
mod - core/print_api.php Diff File
mod - lang/strings_english.txt Diff File
mod - lang/strings_qqq.txt Diff File
mod - proj_doc_add_page.php Diff File
mod - proj_doc_edit_page.php Diff File

Issue History

Date Modified Username Field Change
2014-02-14 09:56 dregad New Issue
2014-02-14 09:56 dregad Status new => assigned
2014-02-14 09:56 dregad Assigned To => dregad
2014-02-14 09:56 dregad Relationship added related to 0016951
2014-02-14 10:14 dregad Note Added: 0039405
2014-02-24 16:07 dregad Changeset attached => MantisBT master e1d4aa54
2014-02-24 16:07 dregad Changeset attached => MantisBT master cfb212ed
2014-02-24 16:07 dregad Status assigned => resolved
2014-02-24 16:07 dregad Resolution open => fixed
2014-02-24 16:07 dregad Fixed in Version => 1.3.0dev
2014-02-24 16:22 atrol Fixed in Version 1.3.0dev => 1.3.0-beta.1
2014-12-08 00:34 vboctor Status resolved => closed